*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    font-weight: normal;
}
  
body {
    min-height: 100vh;
    color: var(--color-text);
    background: var(--color-background);
    transition:
        color 0.5s,
        background-color 0.5s;
    line-height: 1.6;
    font-family:
        Inter,
        -apple-system,
        BlinkMacSystemFont,
        'Segoe UI',
        Roboto,
        Oxygen,
        Ubuntu,
        Cantarell,
        'Fira Sans',
        'Droid Sans',
        'Helvetica Neue',
        sans-serif;
    font-size: 15px;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

h2 {
    white-space: nowrap;
}

#authBox{
    position: absolute;
    top: 50%;
    left: 50%;
    width: 50vh;
    transform: translate(-50%, -50%);
    text-align: center;
    display: block;
    border-radius: 50%;
}

#authInputPw{
    text-align: center;
    padding: 5px;
    margin: 15px;
    border: 1px solid grey;
    border-radius: 10px;
}

#wsl_logo{
    width: 50px;
    height: 50px;
    background-image: url("./assets/wsl_logo_black.png");
    background-size: 75%;
    background-position: center;
    background-repeat: no-repeat;
    margin: auto;
}

.app-icon {
    width: 30%;
    height: 30%;
    cursor: pointer;
}

/* Rotating circles */

.only-app-icon {
    display: none;
}

.circleContainer {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 70vh;
    height: 70vh;
    display: flex;
    pointer-events: none;
}

.circle {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transform-origin: center;
    border-radius: 50%;
}

#outer-circle {
    border: 2.5px dashed #1d6167;
    width: 80%;
    height: 80%;
}

#middle-circle {
    width: 75%;
    height: 75%;
    background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='100' ry='100' stroke='%23B5CB0DFF' stroke-width='7' stroke-dasharray='30%25%2c 13%25' stroke-dashoffset='86' stroke-linecap='butt'/%3e%3c/svg%3e");
}

#inner-circle {
    border: 2.5px dashed #1d6167;
    width: 70%;
    height: 70%;
}

.rotating-clockwise {
    animation: rotate-clockwise 50s linear infinite;
}

@keyframes rotate-clockwise {
    from {
        transform: translate(-50%, -50%) rotate(0deg);
        transform-origin: center;
    }
    to {
        transform: translate(-50%, -50%) rotate(360deg);
        transform-origin: center;
    }
}
.rotating-counterclockwise {
    animation: rotate-counterclockwise 25s linear infinite;
}

@keyframes rotate-counterclockwise {
    from {
        transform: translate(-50%, -50%) rotate(0deg);
        transform-origin: center;
    }
    to {
        transform: translate(-50%, -50%) rotate(-360deg);
        transform-origin: center;
    }
}

/* Responsive Design */

@media screen and (max-width: 550px) {

    .circleContainer {
      display: none;
    }
    
}

@media screen and (max-height: 500px) {

    #authBox{
        display: none;
    }

    .circleContainer {
        display: none;
    }

    .only-app-icon {
        display: block;
        position: absolute;
        top: 50%;
        left: 50%;
        width: 30vw;
        height: 30vw;
        transform: translate(-50%, -50%);
    }

}

@media screen and (max-height: 700px) {

    .circleContainer {
      display: none;
    }

    .app-icon {
        width: 50%;
        height: 50%;
    }

}

@media screen and (max-height: 800px) {

    .circleContainer {
      width: 90vh;
      height: 90vh;
    }

    .app-icon {
        width: 40%;
        height: 40%;
    }

}
